/******************************************************************************
 CEBCollaborator.c

		Class that represents objects that need access to the global
		event record. An EBCollaborator maintains a list of provider
		objects and a list of dependent objects. When an EBCollaborator
		changes, it sends itself the BroadcastChange message. Each
		dependent then receives the ProviderChanged message which packages
		an EventRecord along with it.
		
		If any object handles the event, change the event.what to a nullEvent
		so it is effectively ignored by the application.
		
	SUPERCLASS = CCollaborator 
	
	Copyright  1992 Joe Zobkiw. All rights reserved.
    Portions Copyright  1990 Symantec Corporation.  All rights reserved.	

 ******************************************************************************/

#include "CCollaborator.h"
#include "CEBCollaborator.h"

/******************************************************************************
 IEBCollaborator
 
 	Initialize an EBCollaborator
******************************************************************************/

void CEBCollaborator::IEBCollaborator( void)
{
	CCollaborator::ICollaborator();
}

/******************************************************************************
 BroadcastEvent {Unique to this class}
 
 	Broadcast an event
******************************************************************************/
void 	CEBCollaborator::BroadcastEvent(EventRecord *macEvent)
{
	BroadcastChange(kEventRecordReason, (Ptr)macEvent);
}
