/* ---------------------------------------------------------------
	PROGRAM:	See Movie Run
	FILE:		QuickTime Utilities.c
	NOTES:		This file contains useful utilities when programming
				QuickTime related stuff.
				
	DATE:		7.1.92
   --------------------------------------------------------------- */
   
#include "QuickTime Utilities.h"
#include <GestaltEqu.h>
#include <Movies.h>

/* ---------------------------------------------------------------
	FUNCTION:	GetMovieFileFSSpec
	INPUTS:		none
	OUTPUTS:	returns true if the user pressed the OPEN button, false if cancel
				aFileSpec is filled with an FSSpec if true is returned
	GLOBALS:	none
	NOTES:		This routine shows the standard QuickTime GetFile dialog with
				Movie preview.
				
	DATE:		7.1.92
   --------------------------------------------------------------- */
Boolean GetMovieFileFSSpec(FSSpec *aFileSpec)
{
	StandardFileReply	sfr;
	short				numTypes = 1;
	SFTypeList			sfFileTypes = {MovieFileType};
	
	StandardGetFilePreview(nil, numTypes, sfFileTypes, &sfr);
	*aFileSpec = sfr.sfFile;
	
	return(sfr.sfGood);
}

/* ---------------------------------------------------------------
	FUNCTION:	QuickTimeIsInstalled
	INPUTS:		none
	OUTPUTS:	returns true if QuickTime is installed
				version contains QuickTime version number if installed,
				otherwise 0
	GLOBALS:	none
	NOTES:		Uses Gestalt to see if QuickTime is installed.
				
	DATE:		7.1.92
   --------------------------------------------------------------- */
Boolean QuickTimeIsInstalled(long *version)
{	
	OSErr err = noErr;
	
	*version = 0L;
	err = Gestalt(gestaltQuickTime, version);
	if (err == noErr) 
		return(true);
	else
		return(false);
}